Hi,

I am a Ruby newbie... I use Mac OS X Tiger and tried building a  
simple Tcl/Tk widget and received an error message...

I copied and pasted the code's source listing, compilation process,  
and error message into the body of this e-mail:

Raven:/Developer/RubyEclipseWorkspace untz$ cat iPsych.rb
require 'tk'

root = TkRoot.new { title "iPsych" }
TkLabel.new(root) {
   text  'Hello, World!'
   pack  { padx 15 ; pady 15; side 'left' }
}
Tk.mainloopRaven:/Developer/RubyEclipseWorkspace untz$ ruby iPsych.rb
dyld: NSLinkModule() error
dyld: Library not loaded: /usr/X11R6/lib/libX11.6.dylib
   Referenced from: /usr/lib/ruby/1.8/powerpc-darwin8.0/tcltklib.bundle
   Reason: image not found
Trace/BPT trap
Raven:/Developer/RubyEclipseWorkspace untz$

Additional questions:

1. What is the *BEST* IDE to use for Ruby?

2. What is the standard Widget utility to use?

Many, many thanks!

-Unnsse

P.S. BTW the particular Ruby version I use is 1.8.2